Servlet 3.0 - Apache Tomcat 7.0.42

## javax.servlet
Interface ServletRegistration

All Superinterfaces:
  Registration

All Known Subinterfaces:
  ServletRegistration.Dynamic

    public interface ServletRegistration

extends Registration

Since:
  Servlet 3.0 $Id: ServletRegistration.java 981816 2010-08-03 10:44:58Z markt $ TODO SERVLET3 - Add comments

Nested Class Summary
`static interface` `ServletRegistration.Dynamic`

Method Summary
`java.util.Set<java.lang.String>` `addMapping(java.lang.String... urlPatterns)`
`java.util.Collection<java.lang.String>` `getMappings()`
`java.lang.String` `getRunAsRole()`

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### addMapping

    java.util.Set<java.lang.String> addMapping(java.lang.String... urlPatterns)

  Parameters:
    `urlPatterns` -
  Returns:
    TODO
  Throws:
    `java.lang.IllegalArgumentException` - if urlPattern is null or empty
    `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

### getMappings

    java.util.Collection<java.lang.String> getMappings()

### getRunAsRole

    java.lang.String getRunAsRole()

Servlet 3.0 - Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.